document.getElementById('relationship-form').addEventListener('submit', function(event) {
  event.preventDefault();
  
  const trust = parseInt(document.getElementById('trust').value);
  const communication = parseInt(document.getElementById('communication').value);
  const effort = parseInt(document.getElementById('effort').value);
  const redFlags = parseInt(document.getElementById('red-flags').value);
  
  const totalScore = (trust + communication + effort) - (redFlags * 2);
  
  const resultText = document.getElementById('decision-text');
  const resultDiv = document.getElementById('result');
  
  if (totalScore >= 20) {
    resultText.textContent = "Stay! It seems like this relationship has potential.";
  } else if (totalScore >= 10) {
    resultText.textContent = "Proceed with caution. There are some positive aspects, but be mindful of the red flags.";
  } else {
    resultText.textContent = "Leave. It's not worth the heartache. You deserve better!";
  }
  
  resultDiv.classList.remove('hidden');
});